Subject: phoenix palm tree

From: [email-masked] (Mark Wegge)
Date: Sun, 16 Jun 1996 00:11:27

Phoenix palm tree for sale. You remove you can have. Excellant
condition, Easy access in the front yard. Pasadena California area.
E-mail with name and number if interested. By the way tree is approximately
35' in height.